<template>
  <div class="Login">
    <Header />
    <div class="dashboard">
        <h1>Iniciar sesión</h1>
        <div class="columns">
          <div class="column is-half is-offset-one-quarter text-center">
            <label>Usuario</label>
            <br/>
            <input type="text" name="user" placeholder="11111111-1">
            <br/>
            <label>Contraseña</label>
            <br/>
            <input type="password" name="password">
            <br/>
            <button @click="logIn" class="button is-primary is-outlined">
              Enviar
            </button>
          </div>
          <div id="students">
            {{ info }}
          </div>
        </div>
    </div>
    <Footer />
  </div>
</template>

<script>
import Header from './Header.vue'
import Footer from './Footer.vue'

export default {
  name: 'Login',
  components: {
    Header,
    Footer
  },
  methods: {
    logIn() {
      this.$emit('Login::loginResult', {loginResult: true})
    }
  }
}

new Vue({
  el: '#students',
  data: {
    name: '',
    users: []
  },
  methods: {
    fetchData: function () {
      // Consulta Axios
      axios.get('http://161.35.4.227:4000/api/students')
        .then((res) => {
          // Impresión
          console.log(res.data)
        
          // Carga de datos en Vue
          this.users = res.data.results
        })
    }
  }
})

</script>
